<?php
include("../objoo.php");

/**
 * @package test
 * @license http://www.opensource.org/licenses/mit-license.php MIT License
 * @link http://jharo.net
 * @author Juan Haro <juanharo@gmail.com>
 * 
    +--------+-------------+------+-----+---------+----------------+
    | Field  | Type        | Null | Key | Default | Extra          |
    +--------+-------------+------+-----+---------+----------------+
    | id     | int(5)      | NO   | PRI | NULL    | auto_increment |
    | nombre | varchar(50) | NO   |     | NULL    |                |
    | email  | varchar(50) | YES  |     | NULL    |                |
    +--------+-------------+------+-----+---------+----------------+
 */



try{
//Abre una conexión con la base de datos (host,user,pass,dbname)
sql::getInstance("localhost", "dbuser", "","dbname");

//Inicializa una tabla de nombre 'new_table'. Si la tabla existe, la selecciona.
$table = dbTable::get("nueva_tabla");

//Si la tabla existe, la borra.
if(!$table->isNew()){
    die(query::deleteTable("nueva_tabla"));
}

//Crea un nuevo conjunto de campos
$field_set = new fieldSet();

//Crea un campo clave primaria de nombre 'id', de tipo 'int (5)' y autoincrementable. 
$field1 = new field();
$field1->setName("id");
$field1->setIsPrimaryKey(True);
$field1->setExtra("auto_increment");
$field1->setLength(5);
$field1->setType("int");

//Añade el campo al conjunto.
$field_set->addField($field1);

//Crea un campo de tipo 'varchar (50)', de nombre 'nombre' y obligatorio (NOT NULL). 
$field2 = new field();
$field2->setName("nombre");
$field2->setLength(50);
$field2->setType("varchar");
$field2->setNull("NO");

//Añade el campo al conjunto.
$field_set->addField($field2);

//Crea un campo de tipo 'varchar (50)', de nombre 'email' y opcional (NULL es el valor por defecto). 
$field3 = new field();
$field3->setName("email");
$field3->setLength(50);
$field3->setType("varchar");

//Añade el campo al conjunto.
$field_set->addField($field3);

//Asigna el conjunto a la tabla.
$table->setFields($field_set);

//Crea la tabla con los campos especificados.
$table->save();



}catch(queryException $e){
    print $e->getMsg();
}
?>